<!DOCTYPE html>
<html>
<head>
    <title>Analyse évolution jj</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/style.css') }}">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.5.0-beta4/html2canvas.min.js"></script>

</head>
<body>
{% include 'menu.html' %}
    <h1>ANALYSE EVOLUTION JJ</h1>
    <p>Sélectionner les dates souhaitées</p>

    <form class="my-form" action="{{ url_for('analyse_jj') }}" method="POST">
      <p class="p2">PERIODE N</p>
      <div class="row">
        <div class="column">
          <label for="date-depart">DATE DE DEBUT :</label>
          <input type="date" id="date-depart" name="date-depart">
        </div>
        <div class="column">
          <label for="date-arrivee">DATE DE FIN :</label>
          <input type="date" id="date-arrivee" name="date-arrivee">
        </div>
      </div>
      <div class="row">
        <div class="column">
          <label for="year-comparaison">ANNÉE DE COMPARAISON : (si rien = N-1)</label>
          <input type="number" id="year-comparaison" name="year-comparaison" min="2018" max="2099" step="1">
        </div>
      </div>
      <input type="submit" value="VALIDER">
    </form>


    <br>
    {% if error %}
    <p class="p2">{{ error|safe }}</p>
    {% endif %}


{% if date_start_obj and date_end_obj %}


  <div class="data-box">
    <table align="center" class="date-table">
      <thead>
        <tr>
          <th class="h2">Période N</th>
          <th class="h2"></th>
          <th class="h2">Période N-1</th>
        </tr>
      </thead>
      <tbody>
          <tr>
            <td class="p4">DU {{ date_start_obj }} AU {{ date_end_obj }}</td>
            <td class="p4"></td>
            <td class="p4">DU {{ date_start_n_1_obj }} AU {{ date_end_n_1_obj }}</td>
          </tr>
        </tbody>
    </table>
  </div>


  <button class="download" data-box-id="box1" style="margin-top: 20px;">Télécharger en JPEG</button>
  <div class="data-box" id="box1">
    <h1>EVOLUTION JJ</h1>

    <table align="center" class="data-table">
      <thead>
        <tr>
          <th></th>
          <th>Période N</th>
          <th>Période N-1</th>
          <th>Evo. en %</th>
        </tr>
      </thead>
      <tbody>
          <tr>
            <td>Fréq. Totale</td>
            <td>{{ sum_freq_tot | format_number }}</td>
            <td>{{ sum_freq_tot_n_1 | format_number }}</td>
            <td>{{ evolution_freq_tot | format_percent }}</td>
          </tr>
      </tbody>
      <tbody>
        <tr>
          <td>Fréq. Identifiée</td>
          <td>{{ sum_freq_tot_id | format_number }}</td>
          <td>{{ sum_freq_tot_id_n_1 | format_number }}</td>
          <td>{{ evolution_freq_tot_id | format_percent }}</td>
        </tr>
      </tbody>
      <tbody>
        <tr>
          <td>PBJ Total</td>
          <td>{{ sum_pbj_tot | format_number }} €</td>
          <td>{{ sum_pbj_tot_n_1 | format_number }} €</td>
          <td>{{ evolution_pbj_tot | format_percent }}</td>
        </tr>
      </tbody>
      <tbody>
        <tr>
          <td>PBJ JT</td>
          <td>{{ sum_pbj_jt | format_number }} €</td>
          <td>{{ sum_pbj_jt_n_1 | format_number }} €</td>
          <td>{{ evolution_pbj_jt | format_percent }}</td>
        </tr>
      </tbody>
      <tbody>
        <tr>
          <td>REEL</td>
          <td>{{ sum_pbj_mas | format_number }} €</td>
          <td>{{ sum_pbj_mas_n_1 | format_number }} €</td>
          <td>{{ evolution_pbj_mas | format_percent }}</td>
        </tr>
      </tbody>
      <tbody>
        <tr>
          <td>THEO</td>
          <td>{{ total_theo | format_number }} €</td>
          <td>{{ total_theo_n_1 | format_number }} €</td>
          <td>{{ evolution_theo | format_percent }}</td>
        </tr>
      </tbody>

    </table>
    <br>



    <br>
    </div>
  </div>
  <br>

  <div class="data-box" id="box2">
    <h1>RESTAURATION</h1>

  </div>

  <div class="data-box" id="box3">
    <h1>HOTEL</h1>

  </div>

  <div class="data-box" id="box4">
    <h1>MARKETING</h1>



    <table align="center" class="data-table">
      <thead>
        <tr>
          <th>Opérations</th>
          <th>Du</th>
          <th>Au</th>
        </tr>
      </thead>
      <tbody>
        {% for row in df_operations_2.iterrows() %}
          <tr>
            <td>{{ row[1]['OPE'] }}</td>
            <td>{{ row[1]['DATE D'] }}</td>
            <td>{{ row[1]['DATE F'] }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
    <br>
  </div>
<br>







  <div class="data-box" id="box5">
    <h1>PLAYERS PLUS</h1>



    <table align="center" class="data-table">
      <thead>
        <tr>
          <th></th>
          <th>Période N</th>
          <th>Période N-1</th>
          <th>Evo. en %</th>
        </tr>
      </thead>
      <tbody>
        {% for row in df_euros_players.iterrows() %}
          <tr>
            <td>{% if row[1]['Infos'] %}{{ row[1]['Infos'] }}{% endif %}</td>
            <td>{% if row[1]['Période N']|is_number %}{{ row[1]['Période N']|format_number }}{% else %}{{ row[1]['Période N'] }}{% endif %}</td>
            <td>{% if row[1]['Période N-1']|is_number %}{{ row[1]['Période N-1']|format_number }}{% else %}{{ row[1]['Période N-1'] }}{% endif %}</td>
            <td>{% if row[1]['Evolution']|is_number %}{{ row[1]['Evolution']|format_number }}{% else %}{{ row[1]['Evolution'] }}{% endif %} %</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>




      <div class="grid-item">
        <p class="p4">Euros Players Période N</p>
        <table align="center" class="data-table">
          <thead>
            <tr>
              <th>Zone</th>
              <th>Earn</th>
              <th>Burn</th>
              <th>EP restants</th>
            </tr>
          </thead>
          <tbody>
            {% for row in df_groupby_euros_players.iterrows() %}
              <tr>
                <td>{{ row[1]['zone'] }}</td>
                <td>{{ row[1]['earn'] }}</td>
                <td>{{ row[1]['burn'] }}</td>
                <td>{{ row[1]['euros_players_rest'] }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>

      <div class="grid-item">
        <p class="p4">Euros Players Période N-1</p>
        <table align="center" class="data-table">
          <thead>
            <tr>
              <th>Zone</th>
              <th>Earn</th>
              <th>Burn</th>
              <th>EP restants</th>
            </tr>
          </thead>
          <tbody>
            {% for row in df_groupby_euros_players_n_1.iterrows() %}
              <tr>
                <td>{{ row[1]['zone'] }}</td>
                <td>{{ row[1]['earn'] }}</td>
                <td>{{ row[1]['burn'] }}</td>
                <td>{{ row[1]['euros_players_rest'] }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
        <br>
      </div>


</div>


{% endif %}


    <br>
    <br>
    <br>
    <br>
    <br>
    <br>



    <script>
      document.querySelectorAll('.download').forEach(function(button) {
        button.addEventListener('click', function() {
          var boxId = this.dataset.boxId;
          html2canvas(document.getElementById(boxId), { scale: 1 }).then(canvas => {
            let link = document.createElement('a');
            link.download = 'data.jpg';
            link.href = canvas.toDataURL("image/jpeg", 1.0).replace("image/jpeg", "image/octet-stream");
            link.click();
          });
        });
      });
    </script>



{% include 'footer.html' %}
</body>
</html>
